Skip to main content
POST
Add trigger

Headers

X-Workspace-Id
string

Workspace ID

Path Parameters

id
string
required

Body

application/json
projectWorkflowId
string
required

Project workflow (binding) the trigger runs

type
enum<string>
required
Available options:
cron,
assets_added
cron
string

5-field cron (UTC); required for cron triggers

Example:

"0 2 * * 1"

config
object
enabled
boolean
default:true

Response

200 - application/json
id
string
required
createdAt
string<date-time>
required
updatedAt
string<date-time>
required
projectWorkflowId
string
required
type
enum<string>
required
Available options:
cron,
assets_added
config
object
required
enabled
boolean
required
cron
string | null
lastFiredAt
string<date-time> | null